import React from 'react';
import PropTypes from 'prop-types';
import { field } from '../prop-types';
import ProxyField from '../ProxyField';
var baseClass = 'sui-FormBuilder';

var FieldSet = function FieldSet(_ref) {
  var fieldset = _ref.fieldset,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      fieldSize = _ref.fieldSize,
      errors = _ref.errors;
  var _fieldset$fields = fieldset.fields,
      fields = _fieldset$fields === void 0 ? [] : _fieldset$fields,
      label = fieldset.label;
  return React.createElement("fieldset", {
    className: baseClass + "-FieldSet"
  }, label && React.createElement("legend", null, React.createElement("span", null, label)), React.createElement("div", {
    className: baseClass + "-FieldSetContainer"
  }, fields.map(function (field, index) {
    return React.createElement(ProxyField, {
      onChange: onChange,
      key: field.id,
      field: field,
      tabIndex: tabIndex + index * 0.1,
      fieldSize: fieldSize,
      errors: errors
    });
  })));
};

FieldSet.displayName = 'FieldSet';
export default FieldSet;