import React from 'react';
import PropTypes from 'prop-types';
import Switch from '../../../Switch';
import Select from '../../../Select';
import Checkbox from '../../../Checkbox';
import InlineButton from '../../../InlineButton';
import { FIELDS, DISPLAYS } from '../../index';

var PickerField = function PickerField(_ref) {
  var field = _ref.field,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      errors = _ref.errors;

  if (field.display === DISPLAYS[FIELDS.PICKER].SWITCH) {
    return React.createElement(Switch, {
      switchField: field,
      onChange: onChange,
      tabIndex: tabIndex,
      errors: errors
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].AUTOCOMPLETE || field.display === DISPLAYS[FIELDS.PICKER].DROPDOWN) {
    return React.createElement(Select, {
      select: field,
      onChange: onChange,
      tabIndex: tabIndex,
      errors: errors
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].RADIO) {
    return React.createElement("p", null, "radio button TODO");
  } else if (field.display === DISPLAYS[FIELDS.PICKER].CHECKBOX) {
    return React.createElement(Checkbox, {
      checkbox: field,
      onChange: onChange,
      tabIndex: tabIndex,
      errors: errors
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].BUTTON_INLINE) {
    return React.createElement(InlineButton, {
      inlineButton: field,
      onChange: onChange,
      tabIndex: tabIndex,
      errors: errors
    });
  } else {
    // TODO: should be removed (backwards compatibility)
    return React.createElement(Select, {
      select: field,
      onChange: onChange,
      tabIndex: tabIndex,
      errors: errors
    });
  }
};

export default PickerField;