import React from 'react';
import PropTypes from 'prop-types';
import Input from '../../../Input';
import TextArea from '../../../TextArea';
import { FIELDS, DISPLAYS } from '../../index';

var TextField = function TextField(_ref) {
  var field = _ref.field,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      errors = _ref.errors;
  if (field.display === DISPLAYS[FIELDS.TEXT].MULTILINE) return React.createElement(TextArea, {
    textArea: field,
    onChange: onChange,
    tabIndex: tabIndex,
    errors: errors
  });
  return React.createElement(Input, {
    input: field,
    onChange: onChange,
    tabIndex: tabIndex,
    errors: errors
  });
};

export default TextField;