import _extends from "@babel/runtime/helpers/esm/extends";
import React, { useCallback } from 'react';
import PropTypes from 'prop-types';
import { field, createComponentMemo } from '../prop-types';
import MoleculeSwitch from '@s-ui/react-atom-switch';

var Switch = function Switch(_ref) {
  var switchField = _ref.switchField,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      errors = _ref.errors;
  var errorMessages = errors[switchField.id];
  var onChangeCallback = useCallback(function (value) {
    return onChange(switchField.id, JSON.stringify(value));
  }, [onChange, switchField]);
  var id = switchField.id;

  var switchProps = _extends({
    name: id,
    label: switchField.label,
    labelLeft: 'NOP',
    labelRight: 'ZIP',
    value: JSON.parse(switchField.value || 'false'),
    onToggle: onChangeCallback,
    type: 'single'
  }, switchField.disabled && {
    disabled: true
  }, {}, switchField.hidden && {
    hidden: true
  }, {}, !!errorMessages && {
    errorText: errorMessages.join('\n')
  });

  if (switchProps.hidden) {
    return null;
  }

  return React.createElement("div", {
    className: "sui-FormBuilder-field sui-FormBuilder-Switch sui-FormBuilder-" + (switchProps.id || tabIndex)
  }, React.createElement(MoleculeSwitch, switchProps));
};

Switch.displayName = 'Switch';
export default React.memo(Switch, createComponentMemo('switchField'));